; Copyright 2005 by Thomas Schulz (TS-Soft)

;{ Globale Variablen deklaration
Global AU3_AutoItSetOption.l
Global AU3_BlockInput.l
Global AU3_CDTray.l
Global AU3_ClipGet.l
Global AU3_ClipPut.l
Global AU3_ControlClick.l
Global AU3_ControlCommand.l
Global AU3_ControlDisable.l
Global AU3_ControlEnable.l
Global AU3_ControlFocus.l
Global AU3_ControlGetFocus.l
Global AU3_ControlGetHandle.l
Global AU3_ControlGetPosHeight.l
Global AU3_ControlGetPosWidth.l
Global AU3_ControlGetPosX.l
Global AU3_ControlGetPosY.l
Global AU3_ControlGetText.l
Global AU3_ControlHide.l
Global AU3_ControlListView.l
Global AU3_ControlMove.l
Global AU3_ControlSend.l
Global AU3_ControlSetText.l
Global AU3_ControlShow.l
Global AU3_DriveMapAdd.l
Global AU3_DriveMapDel.l
Global AU3_DriveMapGet.l
Global AU3_IniDelete.l
Global AU3_IniRead.l
Global AU3_IniWrite.l
Global AU3_Init.l
Global AU3_IsAdmin.l
Global AU3_MouseClick.l
Global AU3_MouseClickDrag.l
Global AU3_MouseDown.l
Global AU3_MouseGetCursor.l
Global AU3_MouseGetPosX.l
Global AU3_MouseGetPosY.l
Global AU3_MouseMove.l
Global AU3_MouseUp.l
Global AU3_MouseWheel.l
Global AU3_Opt.l
Global AU3_PixelChecksum.l
Global AU3_PixelGetColor.l
Global AU3_PixelSearch.l
Global AU3_ProcessClose.l
Global AU3_ProcessExists.l
Global AU3_ProcessSetPriority.l
Global AU3_ProcessWait.l
Global AU3_ProcessWaitClose.l
Global AU3_RegDeleteKey.l
Global AU3_RegDeleteVal.l
Global AU3_RegEnumKey.l
Global AU3_RegEnumVal.l
Global AU3_RegRead.l
Global AU3_RegWrite.l
Global AU3_Run.l
Global AU3_RunAsSet.l
Global AU3_RunWait.l
Global AU3_Send.l
Global AU3_Shutdown.l
Global AU3_Sleep.l
Global AU3_StatusbarGetText.l
Global AU3_ToolTip.l
Global AU3_WinActivate.l
Global AU3_WinActive.l
Global AU3_WinClose.l
Global AU3_WinExists.l
Global AU3_WinGetCaretPosX.l
Global AU3_WinGetCaretPosY.l
Global AU3_WinGetClassList.l
Global AU3_WinGetClientSizeHeight.l
Global AU3_WinGetClientSizeWidth.l
Global AU3_WinGetHandle.l
Global AU3_WinGetPosHeight.l
Global AU3_WinGetPosWidth.l
Global AU3_WinGetPosX.l
Global AU3_WinGetPosY.l
Global AU3_WinGetProcess.l
Global AU3_WinGetState.l
Global AU3_WinGetText.l
Global AU3_WinGetTitle.l
Global AU3_WinKill.l
Global AU3_WinMenuSelectItem.l
Global AU3_WinMinimizeAll.l
Global AU3_WinMinimizeAllUndo.l
Global AU3_WinMove.l
Global AU3_WinSetOnTop.l
Global AU3_WinSetState.l
Global AU3_WinSetTitle.l
Global AU3_WinSetTrans.l
Global AU3_WinWait.l
Global AU3_WinWaitActive.l
Global AU3_WinWaitClose.l
Global AU3_WinWaitNotActive.l
Global AU3_error.l
;}

#AU3_INTDEFAULT = -2147483647
#MEMBuffer = 63999 ; Max. StringBuffer in PB
#INCLUDEFLAG = 1 ; 1 = Including DLL in lib

Global MEM

Procedure.l hex2dec(h$)
  h$=UCase(h$)
  For r=1 To Len(h$)
    d<<4 : a$=Mid(h$,r,1)
    If Asc(a$)>60
      d+Asc(a$)-55
    Else
      d+Asc(a$)-48
    EndIf
  Next
  ProcedureReturn d
EndProcedure

; Init-Funktion
ProcedureDLL AutoItX3_Init()
  Shared DLL.l
  CompilerIf #INCLUDEFLAG
    DLL = LoadLibraryM(?L1)
    If DLL
      AU3_AutoItSetOption = GetProcAddressM(DLL, "AU3_AutoItSetOption")
      AU3_BlockInput = GetProcAddressM(DLL, "AU3_BlockInput")
      AU3_CDTray = GetProcAddressM(DLL, "AU3_CDTray")
      AU3_ClipGet = GetProcAddressM(DLL, "AU3_ClipGet")
      AU3_ClipPut = GetProcAddressM(DLL, "AU3_ClipPut")
      AU3_ControlClick = GetProcAddressM(DLL, "AU3_ControlClick")
      AU3_ControlCommand = GetProcAddressM(DLL, "AU3_ControlCommand")
      AU3_ControlDisable = GetProcAddressM(DLL, "AU3_ControlDisable")
      AU3_ControlEnable = GetProcAddressM(DLL, "AU3_ControlEnable")
      AU3_ControlFocus = GetProcAddressM(DLL, "AU3_ControlFocus")
      AU3_ControlGetFocus = GetProcAddressM(DLL, "AU3_ControlGetFocus")
      AU3_ControlGetHandle = GetProcAddressM(DLL, "AU3_ControlGetHandle")
      AU3_ControlGetPosHeight = GetProcAddressM(DLL, "AU3_ControlGetPosHeight")
      AU3_ControlGetPosWidth = GetProcAddressM(DLL, "AU3_ControlGetPosWidth")
      AU3_ControlGetPosX = GetProcAddressM(DLL, "AU3_ControlGetPosX")
      AU3_ControlGetPosY = GetProcAddressM(DLL, "AU3_ControlGetPosY")
      AU3_ControlGetText = GetProcAddressM(DLL, "AU3_ControlGetText")
      AU3_ControlHide = GetProcAddressM(DLL, "AU3_ControlHide")
      AU3_ControlListView = GetProcAddressM(DLL, "AU3_ControlListView")
      AU3_ControlMove = GetProcAddressM(DLL, "AU3_ControlMove")
      AU3_ControlSend = GetProcAddressM(DLL, "AU3_ControlSend")
      AU3_ControlSetText = GetProcAddressM(DLL, "AU3_ControlSetText")
      AU3_ControlShow = GetProcAddressM(DLL, "AU3_ControlShow")
      AU3_DriveMapAdd = GetProcAddressM(DLL, "AU3_DriveMapAdd")
      AU3_DriveMapDel = GetProcAddressM(DLL, "AU3_DriveMapDel")
      AU3_DriveMapGet = GetProcAddressM(DLL, "AU3_DriveMapGet")
      AU3_IniDelete = GetProcAddressM(DLL, "AU3_IniDelete")
      AU3_IniRead = GetProcAddressM(DLL, "AU3_IniRead")
      AU3_IniWrite = GetProcAddressM(DLL, "AU3_IniWrite")
      AU3_Init = GetProcAddressM(DLL, "AU3_Init")
      AU3_IsAdmin = GetProcAddressM(DLL, "AU3_IsAdmin")
      AU3_MouseClick = GetProcAddressM(DLL, "AU3_MouseClick")
      AU3_MouseClickDrag = GetProcAddressM(DLL, "AU3_MouseClickDrag")
      AU3_MouseDown = GetProcAddressM(DLL, "AU3_MouseDown")
      AU3_MouseGetCursor = GetProcAddressM(DLL, "AU3_MouseGetCursor")
      AU3_MouseGetPosX = GetProcAddressM(DLL, "AU3_MouseGetPosX")
      AU3_MouseGetPosY = GetProcAddressM(DLL, "AU3_MouseGetPosY")
      AU3_MouseMove = GetProcAddressM(DLL, "AU3_MouseMove")
      AU3_MouseUp = GetProcAddressM(DLL, "AU3_MouseUp")
      AU3_MouseWheel = GetProcAddressM(DLL, "AU3_MouseWheel")
      AU3_Opt = GetProcAddressM(DLL, "AU3_Opt")
      AU3_PixelChecksum = GetProcAddressM(DLL, "AU3_PixelChecksum")
      AU3_PixelGetColor = GetProcAddressM(DLL, "AU3_PixelGetColor")
      AU3_PixelSearch = GetProcAddressM(DLL, "AU3_PixelSearch")
      AU3_ProcessClose = GetProcAddressM(DLL, "AU3_ProcessClose")
      AU3_ProcessExists = GetProcAddressM(DLL, "AU3_ProcessExists")
      AU3_ProcessSetPriority = GetProcAddressM(DLL, "AU3_ProcessSetPriority")
      AU3_ProcessWait = GetProcAddressM(DLL, "AU3_ProcessWait")
      AU3_ProcessWaitClose = GetProcAddressM(DLL, "AU3_ProcessWaitClose")
      AU3_RegDeleteKey = GetProcAddressM(DLL, "AU3_RegDeleteKey")
      AU3_RegDeleteVal = GetProcAddressM(DLL, "AU3_RegDeleteVal")
      AU3_RegEnumKey = GetProcAddressM(DLL, "AU3_RegEnumKey")
      AU3_RegEnumVal = GetProcAddressM(DLL, "AU3_RegEnumVal")
      AU3_RegRead = GetProcAddressM(DLL, "AU3_RegRead")
      AU3_RegWrite = GetProcAddressM(DLL, "AU3_RegWrite")
      AU3_Run = GetProcAddressM(DLL, "AU3_Run")
      AU3_RunAsSet = GetProcAddressM(DLL, "AU3_RunAsSet")
      AU3_RunWait = GetProcAddressM(DLL, "AU3_RunWait")
      AU3_Send = GetProcAddressM(DLL, "AU3_Send")
      AU3_Shutdown = GetProcAddressM(DLL, "AU3_Shutdown")
      AU3_Sleep = GetProcAddressM(DLL, "AU3_Sleep")
      AU3_StatusbarGetText = GetProcAddressM(DLL, "AU3_StatusbarGetText")
      AU3_ToolTip = GetProcAddressM(DLL, "AU3_ToolTip")
      AU3_WinActivate = GetProcAddressM(DLL, "AU3_WinActivate")
      AU3_WinActive = GetProcAddressM(DLL, "AU3_WinActive")
      AU3_WinClose = GetProcAddressM(DLL, "AU3_WinClose")
      AU3_WinExists = GetProcAddressM(DLL, "AU3_WinExists")
      AU3_WinGetCaretPosX = GetProcAddressM(DLL, "AU3_WinGetCaretPosX")
      AU3_WinGetCaretPosY = GetProcAddressM(DLL, "AU3_WinGetCaretPosY")
      AU3_WinGetClassList = GetProcAddressM(DLL, "AU3_WinGetClassList")
      AU3_WinGetClientSizeHeight = GetProcAddressM(DLL, "AU3_WinGetClientSizeHeight")
      AU3_WinGetClientSizeWidth = GetProcAddressM(DLL, "AU3_WinGetClientSizeWidth")
      AU3_WinGetHandle = GetProcAddressM(DLL, "AU3_WinGetHandle")
      AU3_WinGetPosHeight = GetProcAddressM(DLL, "AU3_WinGetPosHeight")
      AU3_WinGetPosWidth = GetProcAddressM(DLL, "AU3_WinGetPosWidth")
      AU3_WinGetPosX = GetProcAddressM(DLL, "AU3_WinGetPosX")
      AU3_WinGetPosY = GetProcAddressM(DLL, "AU3_WinGetPosY")
      AU3_WinGetProcess = GetProcAddressM(DLL, "AU3_WinGetProcess")
      AU3_WinGetState = GetProcAddressM(DLL, "AU3_WinGetState")
      AU3_WinGetText = GetProcAddressM(DLL, "AU3_WinGetText")
      AU3_WinGetTitle = GetProcAddressM(DLL, "AU3_WinGetTitle")
      AU3_WinKill = GetProcAddressM(DLL, "AU3_WinKill")
      AU3_WinMenuSelectItem = GetProcAddressM(DLL, "AU3_WinMenuSelectItem")
      AU3_WinMinimizeAll = GetProcAddressM(DLL, "AU3_WinMinimizeAll")
      AU3_WinMinimizeAllUndo = GetProcAddressM(DLL, "AU3_WinMinimizeAllUndo")
      AU3_WinMove = GetProcAddressM(DLL, "AU3_WinMove")
      AU3_WinSetOnTop = GetProcAddressM(DLL, "AU3_WinSetOnTop")
      AU3_WinSetState = GetProcAddressM(DLL, "AU3_WinSetState")
      AU3_WinSetTitle = GetProcAddressM(DLL, "AU3_WinSetTitle")
      AU3_WinSetTrans = GetProcAddressM(DLL, "AU3_WinSetTrans")
      AU3_WinWait = GetProcAddressM(DLL, "AU3_WinWait")
      AU3_WinWaitActive = GetProcAddressM(DLL, "AU3_WinWaitActive")
      AU3_WinWaitClose = GetProcAddressM(DLL, "AU3_WinWaitClose")
      AU3_WinWaitNotActive = GetProcAddressM(DLL, "AU3_WinWaitNotActive")
      AU3_error = GetProcAddressM(DLL, "AU3_error")
    EndIf
  CompilerElse
    DLL = LoadLibrary_("AutoItX3.dll")
    If DLL
      AU3_AutoItSetOption = GetProcAddress_(DLL, "AU3_AutoItSetOption")
      AU3_BlockInput = GetProcAddress_(DLL, "AU3_BlockInput")
      AU3_CDTray = GetProcAddress_(DLL, "AU3_CDTray")
      AU3_ClipGet = GetProcAddress_(DLL, "AU3_ClipGet")
      AU3_ClipPut = GetProcAddress_(DLL, "AU3_ClipPut")
      AU3_ControlClick = GetProcAddress_(DLL, "AU3_ControlClick")
      AU3_ControlCommand = GetProcAddress_(DLL, "AU3_ControlCommand")
      AU3_ControlDisable = GetProcAddress_(DLL, "AU3_ControlDisable")
      AU3_ControlEnable = GetProcAddress_(DLL, "AU3_ControlEnable")
      AU3_ControlFocus = GetProcAddress_(DLL, "AU3_ControlFocus")
      AU3_ControlGetFocus = GetProcAddress_(DLL, "AU3_ControlGetFocus")
      AU3_ControlGetHandle = GetProcAddress_(DLL, "AU3_ControlGetHandle")
      AU3_ControlGetPosHeight = GetProcAddress_(DLL, "AU3_ControlGetPosHeight")
      AU3_ControlGetPosWidth = GetProcAddress_(DLL, "AU3_ControlGetPosWidth")
      AU3_ControlGetPosX = GetProcAddress_(DLL, "AU3_ControlGetPosX")
      AU3_ControlGetPosY = GetProcAddress_(DLL, "AU3_ControlGetPosY")
      AU3_ControlGetText = GetProcAddress_(DLL, "AU3_ControlGetText")
      AU3_ControlHide = GetProcAddress_(DLL, "AU3_ControlHide")
      AU3_ControlListView = GetProcAddress_(DLL, "AU3_ControlListView")
      AU3_ControlMove = GetProcAddress_(DLL, "AU3_ControlMove")
      AU3_ControlSend = GetProcAddress_(DLL, "AU3_ControlSend")
      AU3_ControlSetText = GetProcAddress_(DLL, "AU3_ControlSetText")
      AU3_ControlShow = GetProcAddress_(DLL, "AU3_ControlShow")
      AU3_DriveMapAdd = GetProcAddress_(DLL, "AU3_DriveMapAdd")
      AU3_DriveMapDel = GetProcAddress_(DLL, "AU3_DriveMapDel")
      AU3_DriveMapGet = GetProcAddress_(DLL, "AU3_DriveMapGet")
      AU3_IniDelete = GetProcAddress_(DLL, "AU3_IniDelete")
      AU3_IniRead = GetProcAddress_(DLL, "AU3_IniRead")
      AU3_IniWrite = GetProcAddress_(DLL, "AU3_IniWrite")
      AU3_Init = GetProcAddress_(DLL, "AU3_Init")
      AU3_IsAdmin = GetProcAddress_(DLL, "AU3_IsAdmin")
      AU3_MouseClick = GetProcAddress_(DLL, "AU3_MouseClick")
      AU3_MouseClickDrag = GetProcAddress_(DLL, "AU3_MouseClickDrag")
      AU3_MouseDown = GetProcAddress_(DLL, "AU3_MouseDown")
      AU3_MouseGetCursor = GetProcAddress_(DLL, "AU3_MouseGetCursor")
      AU3_MouseGetPosX = GetProcAddress_(DLL, "AU3_MouseGetPosX")
      AU3_MouseGetPosY = GetProcAddress_(DLL, "AU3_MouseGetPosY")
      AU3_MouseMove = GetProcAddress_(DLL, "AU3_MouseMove")
      AU3_MouseUp = GetProcAddress_(DLL, "AU3_MouseUp")
      AU3_MouseWheel = GetProcAddress_(DLL, "AU3_MouseWheel")
      AU3_Opt = GetProcAddress_(DLL, "AU3_Opt")
      AU3_PixelChecksum = GetProcAddress_(DLL, "AU3_PixelChecksum")
      AU3_PixelGetColor = GetProcAddress_(DLL, "AU3_PixelGetColor")
      AU3_PixelSearch = GetProcAddress_(DLL, "AU3_PixelSearch")
      AU3_ProcessClose = GetProcAddress_(DLL, "AU3_ProcessClose")
      AU3_ProcessExists = GetProcAddress_(DLL, "AU3_ProcessExists")
      AU3_ProcessSetPriority = GetProcAddress_(DLL, "AU3_ProcessSetPriority")
      AU3_ProcessWait = GetProcAddress_(DLL, "AU3_ProcessWait")
      AU3_ProcessWaitClose = GetProcAddress_(DLL, "AU3_ProcessWaitClose")
      AU3_RegDeleteKey = GetProcAddress_(DLL, "AU3_RegDeleteKey")
      AU3_RegDeleteVal = GetProcAddress_(DLL, "AU3_RegDeleteVal")
      AU3_RegEnumKey = GetProcAddress_(DLL, "AU3_RegEnumKey")
      AU3_RegEnumVal = GetProcAddress_(DLL, "AU3_RegEnumVal")
      AU3_RegRead = GetProcAddress_(DLL, "AU3_RegRead")
      AU3_RegWrite = GetProcAddress_(DLL, "AU3_RegWrite")
      AU3_Run = GetProcAddress_(DLL, "AU3_Run")
      AU3_RunAsSet = GetProcAddress_(DLL, "AU3_RunAsSet")
      AU3_RunWait = GetProcAddress_(DLL, "AU3_RunWait")
      AU3_Send = GetProcAddress_(DLL, "AU3_Send")
      AU3_Shutdown = GetProcAddress_(DLL, "AU3_Shutdown")
      AU3_Sleep = GetProcAddress_(DLL, "AU3_Sleep")
      AU3_StatusbarGetText = GetProcAddress_(DLL, "AU3_StatusbarGetText")
      AU3_ToolTip = GetProcAddress_(DLL, "AU3_ToolTip")
      AU3_WinActivate = GetProcAddress_(DLL, "AU3_WinActivate")
      AU3_WinActive = GetProcAddress_(DLL, "AU3_WinActive")
      AU3_WinClose = GetProcAddress_(DLL, "AU3_WinClose")
      AU3_WinExists = GetProcAddress_(DLL, "AU3_WinExists")
      AU3_WinGetCaretPosX = GetProcAddress_(DLL, "AU3_WinGetCaretPosX")
      AU3_WinGetCaretPosY = GetProcAddress_(DLL, "AU3_WinGetCaretPosY")
      AU3_WinGetClassList = GetProcAddress_(DLL, "AU3_WinGetClassList")
      AU3_WinGetClientSizeHeight = GetProcAddress_(DLL, "AU3_WinGetClientSizeHeight")
      AU3_WinGetClientSizeWidth = GetProcAddress_(DLL, "AU3_WinGetClientSizeWidth")
      AU3_WinGetHandle = GetProcAddress_(DLL, "AU3_WinGetHandle")
      AU3_WinGetPosHeight = GetProcAddress_(DLL, "AU3_WinGetPosHeight")
      AU3_WinGetPosWidth = GetProcAddress_(DLL, "AU3_WinGetPosWidth")
      AU3_WinGetPosX = GetProcAddress_(DLL, "AU3_WinGetPosX")
      AU3_WinGetPosY = GetProcAddress_(DLL, "AU3_WinGetPosY")
      AU3_WinGetProcess = GetProcAddress_(DLL, "AU3_WinGetProcess")
      AU3_WinGetState = GetProcAddress_(DLL, "AU3_WinGetState")
      AU3_WinGetText = GetProcAddress_(DLL, "AU3_WinGetText")
      AU3_WinGetTitle = GetProcAddress_(DLL, "AU3_WinGetTitle")
      AU3_WinKill = GetProcAddress_(DLL, "AU3_WinKill")
      AU3_WinMenuSelectItem = GetProcAddress_(DLL, "AU3_WinMenuSelectItem")
      AU3_WinMinimizeAll = GetProcAddress_(DLL, "AU3_WinMinimizeAll")
      AU3_WinMinimizeAllUndo = GetProcAddress_(DLL, "AU3_WinMinimizeAllUndo")
      AU3_WinMove = GetProcAddress_(DLL, "AU3_WinMove")
      AU3_WinSetOnTop = GetProcAddress_(DLL, "AU3_WinSetOnTop")
      AU3_WinSetState = GetProcAddress_(DLL, "AU3_WinSetState")
      AU3_WinSetTitle = GetProcAddress_(DLL, "AU3_WinSetTitle")
      AU3_WinSetTrans = GetProcAddress_(DLL, "AU3_WinSetTrans")
      AU3_WinWait = GetProcAddress_(DLL, "AU3_WinWait")
      AU3_WinWaitActive = GetProcAddress_(DLL, "AU3_WinWaitActive")
      AU3_WinWaitClose = GetProcAddress_(DLL, "AU3_WinWaitClose")
      AU3_WinWaitNotActive = GetProcAddress_(DLL, "AU3_WinWaitNotActive")
      AU3_error = GetProcAddress_(DLL, "AU3_error")
    EndIf
  CompilerEndIf
  MEM = AllocateMemory(#MEMBuffer)
  CompilerIf #INCLUDEFLAG
    DataSection
    L1: IncludeBinary "AutoItX3.dll"
    EndDataSection
  CompilerEndIf
EndProcedure
; End-Funktion
ProcedureDLL AutoItX3_End()
  Shared DLL.l
  FreeMemory(MEM)
  CompilerIf #INCLUDEFLAG
    FreeLibraryM(DLL)
  CompilerElse
    FreeLibrary_(DLL)
  CompilerEndIf
EndProcedure
; Allgemeine Funktionen
ProcedureDLL.l AU3_AutoItSetOption(szOption.s,nValue.l); Changes the operation of various AutoIt functions/parameters
  ProcedureReturn CallFunctionFast(AU3_AutoItSetOption,@szOption,nValue)
EndProcedure
ProcedureCDLL AU3_AutoItSetOption_Debug(szOption.s,nValue.l)
  If AU3_AutoItSetOption = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_BlockInput(nFlag.l); Disable/enable the mouse and keyboard
  ProcedureReturn CallFunctionFast(AU3_BlockInput,nFlag)
EndProcedure
ProcedureCDLL AU3_BlockInput_Debug(nFlag.l)
  If AU3_BlockInput = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_CDTray(szDrive.s,szAction.s); Opens or closes the CD tray
  ProcedureReturn CallFunctionFast(AU3_CDTray,@szDrive,@szAction)
EndProcedure
ProcedureCDLL AU3_CDTray_Debug(szDrive.s,szAction.s)
  If AU3_CDTray = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.s AU3_ClipGet(); Retrieves text from the clipboard
  CallFunctionFast(AU3_ClipGet,MEM,#MEMBuffer)
  ProcedureReturn PeekS(MEM)
EndProcedure
ProcedureCDLL AU3_ClipGet_Debug()
  If AU3_ClipGet = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_ClipPut(szClip.s); Writes text to the clipboard
  ProcedureReturn CallFunctionFast(AU3_ClipPut,@szClip)
EndProcedure
ProcedureCDLL AU3_ClipPut_Debug(szClip.s)
  If AU3_ClipPut = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_ControlClick3(szTitle.s,szText.s,szControl.s,szButton.s,nNumClicks.l)
  ProcedureReturn CallFunctionFast(AU3_ControlClick,@szTitle,@szText,@szControl,@szButton,nNumClicks)
EndProcedure
ProcedureDLL.l AU3_ControlClick2(szTitle.s,szText.s,szControl.s,szButton.s)
  ProcedureReturn AU3_ControlClick3(szTitle.s,szText.s,szControl.s,szButton.s,1)
EndProcedure
ProcedureDLL.l AU3_ControlClick(szTitle.s,szText.s,szControl.s); Sends a mouse click command to a given control
  ProcedureReturn AU3_ControlClick3(szTitle.s,szText.s,szControl.s,"left",1)
EndProcedure
ProcedureCDLL AU3_ControlClick3_Debug(szTitle.s,szText.s,szControl.s,szButton.s,nNumClicks.l)
  If AU3_ControlClick = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.s AU3_ControlCommand(szTitle.s,szText.s,szControl.s,szCommand.s,szExtra.s); Sends a command to a control
  CallFunctionFast(AU3_ControlCommand,@szTitle,@szText,@szControl,@szCommand,@szExtra,MEM,#MEMBuffer)
  ProcedureReturn PeekS(MEM)
EndProcedure
ProcedureCDLL AU3_ControlCommand_Debug(szTitle.s,szText.s,szControl.s,szCommand.s,szExtra.s)
  If AU3_ControlCommand = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_ControlDisable(szTitle.s,szText.s,szControl.s); Disables or "grays-out" a control
  ProcedureReturn CallFunctionFast(AU3_ControlDisable,@szTitle,@szText,@szControl)
EndProcedure
ProcedureCDLL AU3_ControlDisable_Debug(szTitle.s,szText.s,szControl.s)
  If AU3_ControlDisable = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_ControlEnable(szTitle.s,szText.s,szControl.s); Enables a "grayed-out" control
  ProcedureReturn CallFunctionFast(AU3_ControlEnable,@szTitle,@szText,@szControl)
EndProcedure
ProcedureCDLL AU3_ControlEnable_Debug(szTitle.s,szText.s,szControl.s)
  If AU3_ControlEnable = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_ControlFocus(szTitle.s,szText.s,szControl.s); Sets input focus to a given control on a window
  ProcedureReturn CallFunctionFast(AU3_ControlFocus,@szTitle,@szText,@szControl)
EndProcedure
ProcedureCDLL AU3_ControlFocus_Debug(szTitle.s,szText.s,szControl.s)
  If AU3_ControlFocus = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.s AU3_ControlGetFocus2(szTitle.s,szText.s)
  CallFunctionFast(AU3_ControlGetFocus,@szTitle,@szText,MEM,#MEMBuffer)
  ProcedureReturn PeekS(MEM)
EndProcedure
ProcedureDLL.s AU3_ControlGetFocus(szTitle.s); Returns the ControlRef# of the control that has keyboard focus within a specified window
  ProcedureReturn AU3_ControlGetFocus2(szTitle,"")
EndProcedure
ProcedureCDLL AU3_ControlGetFocus2_Debug(szTitle.s,szText.s)
  If AU3_ControlGetFocus = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_ControlGetHandle(szTitle.s,szText.s,szControl.s); Retrieves the internal handle of a control
  CallFunctionFast(AU3_ControlGetHandle,@szTitle,@szText,@szControl,MEM,#MEMBuffer)
  ProcedureReturn hex2dec(PeekS(MEM))
EndProcedure
ProcedureCDLL AU3_ControlGetHandle_Debug(szTitle.s,szText.s,szControl.s)
  If AU3_ControlGetHandle = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_ControlGetPosHeight(szTitle.s,szText.s,szControl.s); Retrieves the position and size of a control relative to it's window
  ProcedureReturn CallFunctionFast(AU3_ControlGetPosHeight,@szTitle,@szText,@szControl)
EndProcedure
ProcedureCDLL AU3_ControlGetPosHeight_Debug(szTitle.s,szText.s,szControl.s)
  If AU3_ControlGetPosHeight = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_ControlGetPosWidth(szTitle.s,szText.s,szControl.s); Retrieves the position and size of a control relative to it's window
  ProcedureReturn CallFunctionFast(AU3_ControlGetPosWidth,@szTitle,@szText,@szControl)
EndProcedure
ProcedureCDLL AU3_ControlGetPosWidth_Debug(szTitle.s,szText.s,szControl.s)
  If AU3_ControlGetPosWidth = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_ControlGetPosX(szTitle.s,szText.s,szControl.s); Retrieves the position and size of a control relative to it's window
  ProcedureReturn CallFunctionFast(AU3_ControlGetPosX,@szTitle,@szText,@szControl)
EndProcedure
ProcedureCDLL AU3_ControlGetPosX_Debug(szTitle.s,szText.s,szControl.s)
  If AU3_ControlGetPosX = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_ControlGetPosY(szTitle.s,szText.s,szControl.s); Retrieves the position and size of a control relative to it's window
  ProcedureReturn CallFunctionFast(AU3_ControlGetPosY,@szTitle,@szText,@szControl)
EndProcedure
ProcedureCDLL AU3_ControlGetPosY_Debug(szTitle.s,szText.s,szControl.s)
  If AU3_ControlGetPosY = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.s AU3_ControlGetText(szTitle.s,szText.s,szControl.s); Retrieves text from a control
  CallFunctionFast(AU3_ControlGetText,@szTitle,@szText,@szControl,MEM,#MEMBuffer)
  ProcedureReturn PeekS(MEM)
EndProcedure
ProcedureCDLL AU3_ControlGetText_Debug(szTitle.s,szText.s,szControl.s)
  If AU3_ControlGetText = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_ControlHide(szTitle.s,szText.s,szControl.s); Hides a control
  ProcedureReturn CallFunctionFast(AU3_ControlHide,@szTitle,@szText,@szControl)
EndProcedure
ProcedureCDLL AU3_ControlHide_Debug(szTitle.s,szText.s,szControl.s)
  If AU3_ControlHide = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.s AU3_ControlListView3(szTitle.s,szText.s,szControl.s,szCommand.s,szExtra1.s,szExtra2.s)
  CallFunctionFast(AU3_ControlListView,@szTitle,@szText,@szControl,@szCommand,@szExtra1,@szExtra2,MEM,#MEMBuffer)
  ProcedureReturn PeekS(MEM)
EndProcedure
ProcedureDLL.s AU3_ControlListView2(szTitle.s,szText.s,szControl.s,szCommand.s,szExtra1.s)
  ProcedureReturn AU3_ControlListView3(szTitle,szText,szControl,szCommand,szExtra1,"")
EndProcedure
ProcedureDLL.s AU3_ControlListView(szTitle.s,szText.s,szControl.s,szCommand.s); Sends a command to a ListView32 control
  ProcedureReturn AU3_ControlListView3(szTitle,szText,szControl,szCommand,"","")
EndProcedure
ProcedureCDLL AU3_ControlListView3_Debug(szTitle.s,szText.s,szControl.s,szCommand.s,szExtra1.s,szExtra2.s)
  If AU3_ControlListView = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_ControlMove3(szTitle.s,szText.s,szControl.s,nX.l,nY.l,nWidth.l,nHeight.l)
  ProcedureReturn CallFunctionFast(AU3_ControlMove,@szTitle,@szText,@szControl,nX,nY,nWidth,nHeight)
EndProcedure
ProcedureDLL.l AU3_ControlMove2(szTitle.s,szText.s,szControl.s,nX.l,nY.l,nWidth.l)
  ProcedureReturn AU3_ControlMove3(szTitle,szText,szControl,nX,nY,nWidth,-1)
EndProcedure
ProcedureDLL.l AU3_ControlMove(szTitle.s,szText.s,szControl.s,nX.l,nY.l); Moves a control within a window
  ProcedureReturn AU3_ControlMove3(szTitle,szText,szControl,nX,nY,-1,-1)
EndProcedure
ProcedureCDLL AU3_ControlMove3_Debug(szTitle.s,szText.s,szControl.s,nX.l,nY.l,nWidth.l,nHeight.l)
  If AU3_ControlGetText = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_ControlSend2(szTitle.s,szText.s,szControl.s,szSendText.s,nMode.l)
  ProcedureReturn CallFunctionFast(AU3_ControlSend,@szTitle,@szText,@szControl,@szSendText,nMode)
EndProcedure
ProcedureDLL.l AU3_ControlSend(szTitle.s,szText.s,szControl.s,szSendText.s); Sends a string of characters to a control
  ProcedureReturn AU3_ControlSend2(szTitle.s,szText.s,szControl.s,szSendText.s,0)
EndProcedure
ProcedureCDLL AU3_ControlSend2_Debug(szTitle.s,szText.s,szControl.s,szSendText.s,nMode.l)
  If AU3_ControlSend = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_ControlSetText(szTitle.s,szText.s,szControl.s,szControlText.s); Sets text of a control
  ProcedureReturn CallFunctionFast(AU3_ControlSetText,@szTitle,@szText,@szControl,@szControlText)
EndProcedure
ProcedureCDLL AU3_ControlSetText_Debug(szTitle.s,szText.s,szControl.s,szControlText.s)
  If AU3_ControlSetText = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_ControlShow(szTitle.s,szText.s,szControl.s); Shows a control that was hidden
  ProcedureReturn CallFunctionFast(AU3_ControlShow,@szTitle,@szText,@szControl)
EndProcedure
ProcedureCDLL AU3_ControlShow_Debug(szTitle.s,szText.s,szControl.s)
  If AU3_ControlShow = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.s AU3_DriveMapAdd4(szDevice.s,szShare.s,nFlags.l,szUser.s,szPwd.s)
  CallFunctionFast(AU3_DriveMapAdd,@szDevice,@szShare,nFlags,@szUser,@szPwd,MEM,#MEMBuffer)
  ProcedureReturn PeekS(MEM)
EndProcedure
ProcedureDLL.s AU3_DriveMapAdd3(szDevice.s,szShare.s,nFlags.l,szUser.s)
  ProcedureReturn AU3_DriveMapAdd4(szDevice,szShare,nFlags,szUser,"")
EndProcedure
ProcedureDLL.s AU3_DriveMapAdd2(szDevice.s,szShare.s,nFlags.l)
  ProcedureReturn AU3_DriveMapAdd4(szDevice,szShare,nFlags,"","")
EndProcedure
ProcedureDLL.s AU3_DriveMapAdd(szDevice.s,szShare.s); Maps a network drive
  ProcedureReturn AU3_DriveMapAdd4(szDevice,szShare,0,"","")
EndProcedure
ProcedureCDLL AU3_DriveMapAdd4_Debug(szDevice.s,szShare.s,nFlags.l,szUser.s,szPwd.s)
  If AU3_DriveMapAdd = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_DriveMapDel(szDevice.s); Disconnects a network drive
  ProcedureReturn CallFunctionFast(AU3_DriveMapDel,@szDevice)
EndProcedure
ProcedureCDLL AU3_DriveMapDel_Debug(szDevice.s)
  If AU3_DriveMapDel = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.s AU3_DriveMapGet(szDevice.s); Retreives the details of a mapped drive
  CallFunctionFast(AU3_DriveMapGet,@szDevice,MEM,#MEMBuffer)
  ProcedureReturn PeekS(MEM)
EndProcedure
ProcedureCDLL AU3_DriveMapGet_Debug(szDevice.s)
  If AU3_DriveMapGet = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_IniDelete2(szFilename.s,szSection.s,szKey.s)
  ProcedureReturn CallFunctionFast(AU3_IniDelete,@szFilename,@szSection,@szKey)
EndProcedure
ProcedureDLL.l AU3_IniDelete(szFilename.s,szSection.s); Deletes a value from a standard format .ini file
  ProcedureReturn AU3_IniDelete2(szFilename,szSection,"")
EndProcedure
ProcedureCDLL AU3_IniDelete2_Debug(szFilename.s,szSection.s,szKey.s)
  If AU3_IniDelete = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.s AU3_IniRead(szFilename.s,szSection.s,szKey.s,szDefault.s); Reads a value from a standard format .ini file
  CallFunctionFast(AU3_IniRead,@szFilename,@szSection,@szKey,@szDefault,MEM,#MEMBuffer)
  ProcedureReturn PeekS(MEM)
EndProcedure
ProcedureCDLL AU3_IniRead_Debug(szFilename.s,szSection.s,szKey.s,szDefault.s)
  If AU3_IniRead = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_IniWrite(szFilename.s,szSection.s,szKey.s,szValue.s); Writes a value to a standard format .ini file
  ProcedureReturn CallFunctionFast(AU3_IniWrite,@szFilename,@szSection,@szKey,@szValue)
EndProcedure
ProcedureCDLL AU3_IniWrite_Debug(szFilename.s,szSection.s,szKey.s,szValue.s)
  If AU3_IniWrite = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_Init()
  ProcedureReturn CallFunctionFast(AU3_Init)
EndProcedure
ProcedureCDLL AU3_Init_Debug()
  If AU3_Init = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_IsAdmin(); Checks if the current user has administrator privileges
  ProcedureReturn CallFunctionFast(AU3_IsAdmin)
EndProcedure
ProcedureCDLL AU3_IsAdmin_Debug()
  If AU3_IsAdmin = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_MouseClick4(szButton.s,nX.l,nY.l,nClicks.l,nSpeed.l)
  ProcedureReturn CallFunctionFast(AU3_MouseClick,@szButton,nX,nY,nClicks,nSpeed)
EndProcedure
ProcedureDLL.l AU3_MouseClick3(szButton.s,nX.l,nY.l,nClicks.l)
  ProcedureReturn AU3_MouseClick4(szButton,nX,nY,nClicks,-1)
EndProcedure
ProcedureDLL.l AU3_MouseClick2(szButton.s,nX.l,nY.l)
  ProcedureReturn AU3_MouseClick4(szButton,nX,nY,1,-1)
EndProcedure
ProcedureDLL.l AU3_MouseClick(szButton.s); Perform a mouse click operation
  ProcedureReturn AU3_MouseClick4(szButton,#AU3_INTDEFAULT,#AU3_INTDEFAULT,1,-1)
EndProcedure
ProcedureCDLL AU3_MouseClick4_Debug(szButton.s,nX.l,nY.l,nClicks.l,nSpeed.l)
  If AU3_MouseClick = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_MouseClickDrag2(szButton.s,nX1.l,nY1.l,nX2.l,nY2.l,nSpeed.l)
  ProcedureReturn CallFunctionFast(AU3_MouseClickDrag,@szButton,nX1,nY1,nX2,nY2,nSpeed)
EndProcedure
ProcedureDLL.l AU3_MouseClickDrag(szButton.s,nX1.l,nY1.l,nX2.l,nY2.l); Perform a mouse click and drag operation
  ProcedureReturn AU3_MouseClickDrag2(szButton,nX1,nY1,nX2,nY2,-1)
EndProcedure
ProcedureCDLL AU3_MouseClickDrag2_Debug(szButton.s,nX1.l,nY1.l,nX2.l,nY2.l,nSpeed.l)
  If AU3_MouseClickDrag = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_MouseDown2(szButton.s); Perform a mouse down event at the current mouse position
  ProcedureReturn CallFunctionFast(AU3_MouseDown,@szButton)
EndProcedure
ProcedureDLL.l AU3_MouseDown(); Perform a mouse down event at the current mouse position
  ProcedureReturn  AU3_MouseDown2("LEFT")
EndProcedure
ProcedureCDLL AU3_MouseDown2_Debug(szButton.s)
  If AU3_MouseDown = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_MouseGetCursor(); Returns a cursor ID Number of the current Mouse Cursor
  ProcedureReturn CallFunctionFast(AU3_MouseGetCursor)
EndProcedure
ProcedureCDLL AU3_MouseGetCursor_Debug()
  If AU3_MouseGetCursor = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_MouseGetPosX(); Retrieves the current X position of the mouse cursor
  ProcedureReturn CallFunctionFast(AU3_MouseGetPosX)
EndProcedure
ProcedureCDLL AU3_MouseGetPosX_Debug()
  If AU3_MouseGetPosX = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_MouseGetPosY(); Retrieves the current Y position of the mouse cursor
  ProcedureReturn CallFunctionFast(AU3_MouseGetPosY)
EndProcedure
ProcedureCDLL AU3_MouseGetPosY_Debug()
  If AU3_MouseGetPosY = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_MouseMove2(nX.l,nY.l,nSpeed.l)
  ProcedureReturn CallFunctionFast(AU3_MouseMove,nX,nY,nSpeed)
EndProcedure
ProcedureDLL.l AU3_MouseMove(nX.l,nY.l); Moves the mouse pointer
  ProcedureReturn AU3_MouseMove2(nX,nY,-1)
EndProcedure
ProcedureCDLL AU3_MouseMove2_Debug(nX.l,nY.l,nSpeed.l)
  If AU3_MouseMove = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_MouseUp2(szButton.s)
  ProcedureReturn CallFunctionFast(AU3_MouseUp,@szButton)
EndProcedure
ProcedureDLL.l AU3_MouseUp(); Perform a mouse up event at the current mouse position
  ProcedureReturn AU3_MouseUp2("LEFT")
EndProcedure
ProcedureCDLL AU3_MouseUp2_Debug(szButton.s)
  If AU3_MouseUp = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_MouseWheel2(szDirection.s,nClicks.l)
  ProcedureReturn CallFunctionFast(AU3_MouseWheel,@szDirection,nClicks)
EndProcedure
ProcedureDLL.l AU3_MouseWheel(szDirection.s); Moves the mouse wheel up or down. NT/2000/XP ONLY
  ProcedureReturn AU3_MouseWheel2(szDirection,1)
EndProcedure
ProcedureCDLL AU3_MouseWheel2_Debug(szDirection.s,nClicks.l)
  If AU3_MouseWheel = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_Opt(szOption.s,nValue.l); Changes the operation of various AutoIt functions/parameters
  ProcedureReturn CallFunctionFast(AU3_Opt,@szOption,nValue)
EndProcedure
ProcedureCDLL AU3_Opt_Debug(szOption.s,nValue.l)
  If AU3_Opt = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_PixelChecksum2(nLeft.l,nTop.l,nRight.l,nBottom.l,nStep.l)
  ProcedureReturn CallFunctionFast(AU3_PixelChecksum,nLeft,nTop,nRight,nBottom,nStep)
EndProcedure
ProcedureDLL.l AU3_PixelChecksum(nLeft.l,nTop.l,nRight.l,nBottom.l); Generates a checksum for a region of pixels
  ProcedureReturn AU3_PixelChecksum2(nLeft,nTop,nRight,nBottom,1)
EndProcedure
ProcedureCDLL AU3_PixelChecksum2_Debug(nLeft.l,nTop.l,nRight.l,nBottom.l,nStep.l)
  If AU3_PixelChecksum = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_PixelGetColor(nX.l,nY.l); Returns a pixel color according to x,y pixel coordinates
  ProcedureReturn CallFunctionFast(AU3_PixelGetColor,nX,nY)
EndProcedure
ProcedureCDLL AU3_PixelGetColor_Debug(nX.l,nY.l)
  If AU3_PixelGetColor = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.s AU3_PixelSearch3(nLeft.l,nTop.l,nRight.l,nBottom.l,nCol.l,nVar.l,nStep.l)
  CallFunctionFast(AU3_PixelSearch,nLeft,nTop,nRight,nBottom,nCol,nVar,nStep,MEM,#MEMBuffer)
  ProcedureReturn PeekS(MEM)
EndProcedure
ProcedureDLL.s AU3_PixelSearch2(nLeft.l,nTop.l,nRight.l,nBottom.l,nCol.l,nVar.l)
  ProcedureReturn AU3_PixelSearch3(nLeft,nTop,nRight,nBottom,nCol,nVar,1)
EndProcedure
ProcedureDLL.s AU3_PixelSearch(nLeft.l,nTop.l,nRight.l,nBottom.l,nCol.l); Searches a rectangle of pixels for the pixel color provided
  ProcedureReturn AU3_PixelSearch3(nLeft,nTop,nRight,nBottom,nCol,0,1)
EndProcedure
ProcedureCDLL AU3_PixelSearch3_Debug(nLeft.l,nTop.l,nRight.l,nBottom.l,nCol.l,nVar.l,nStep.l)
  If AU3_PixelSearch = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_ProcessClose(szProcess.s); Terminates a named process
  ProcedureReturn CallFunctionFast(AU3_ProcessClose,@szProcess)
EndProcedure
ProcedureCDLL AU3_ProcessClose_Debug(szProcess.s)
  If AU3_ProcessClose = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_ProcessExists(szProcess.s); Checks to see if a specified process exists
  ProcedureReturn CallFunctionFast(AU3_ProcessExists,@szProcess)
EndProcedure
ProcedureCDLL AU3_ProcessExists_Debug(szProcess.s)
  If AU3_ProcessExists = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_ProcessSetPriority(szProcess.s,nPriority.l); Changes the priority of a process
  ProcedureReturn CallFunctionFast(AU3_ProcessSetPriority,@szProcess,nPriority)
EndProcedure
ProcedureCDLL AU3_ProcessSetPriority_Debug(szProcess.s,nPriority.l)
  If AU3_ProcessSetPriority = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_ProcessWait2(szProcess.s,nTimeout.l)
  ProcedureReturn CallFunctionFast(AU3_ProcessWait,@szProcess,nTimeout)
EndProcedure
ProcedureDLL.l AU3_ProcessWait(szProcess.s); Pauses program execution until a given process exists
  ProcedureReturn AU3_ProcessWait2(szProcess,0)
EndProcedure
ProcedureCDLL AU3_ProcessWait2_Debug(szProcess.s,nTimeout.l)
  If AU3_ProcessWait = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_ProcessWaitClose2(szProcess.s,nTimeout.l)
  ProcedureReturn CallFunctionFast(AU3_ProcessWaitClose,@szProcess,nTimeout)
EndProcedure
ProcedureDLL.l AU3_ProcessWaitClose(szProcess.s); Pauses program execution until a given process does not exist
  ProcedureReturn AU3_ProcessWaitClose2(szProcess,0)
EndProcedure
ProcedureCDLL AU3_ProcessWaitClose2_Debug(szProcess.s,nTimeout.l)
  If AU3_ProcessWaitClose = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_RegDeleteKey(szKeyname.s); Deletes a key  from the registry
  ProcedureReturn CallFunctionFast(AU3_RegDeleteKey,@szKeyname)
EndProcedure
ProcedureCDLL AU3_RegDeleteKey_Debug(szKeyname.s)
  If AU3_RegDeleteKey = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_RegDeleteVal(szKeyname.s,szValuename.s); Deletes a value from the registry
  ProcedureReturn CallFunctionFast(AU3_RegDeleteVal,@szKeyname,@szValuename)
EndProcedure
ProcedureCDLL AU3_RegDeleteVal_Debug(szKeyname.s,szValuename.s)
  If AU3_RegDeleteVal = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.s AU3_RegEnumKey(szKeyname.s,nInstance.l); Reads the name of a subkey according to it's instance
  CallFunctionFast(AU3_RegEnumKey,@szKeyname,nInstance,MEM,#MEMBuffer)
  ProcedureReturn PeekS(MEM)
EndProcedure
ProcedureCDLL AU3_RegEnumKey_Debug(szKeyname.s,nInstance.l)
  If AU3_RegEnumKey = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.s AU3_RegEnumVal(szKeyname.s,szValuename.s); Reads the name of a value according to it's instance
  CallFunctionFast(AU3_RegEnumVal,@szKeyname,nInstance,MEM,#MEMBuffer)
  ProcedureReturn PeekS(MEM)
EndProcedure
ProcedureCDLL AU3_RegEnumVal_Debug(szKeyname.s,szValuename.s)
  If AU3_RegEnumVal = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.s AU3_RegRead(szKeyname.s,szValuename.s); Reads a value from the registry
  CallFunctionFast(AU3_RegRead,@szKeyname,@szValuename,MEM,#MEMBuffer)
  ProcedureReturn PeekS(MEM)
EndProcedure
ProcedureCDLL AU3_RegRead_Debug(szKeyname.s,szValuename.s)
  If AU3_RegRead = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_RegWrite2(szKeyname.s,szValuename.s,szType.s,szValue.s)
  ProcedureReturn CallFunctionFast(AU3_RegWrite,@szKeyname,@szValuename,@szType,@szValue)
EndProcedure
ProcedureDLL.l AU3_RegWrite(szKeyname.s); Creates a key or value in the registry
  ProcedureReturn AU3_RegWrite2(szKeyname,"","","")
EndProcedure
ProcedureCDLL AU3_RegWrite2_Debug(szKeyname.s,szValuename.s,szType.s,szValue.s)
  If AU3_RegWrite = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_Run3(szRun.s,szDir.s,nShowFlags.l)
  ProcedureReturn CallFunctionFast(AU3_Run,@szRun,@szDir,nShowFlags)
EndProcedure
ProcedureDLL.l AU3_Run2(szRun.s,szDir.s)
  ProcedureReturn AU3_Run3(szRun,szDir,1)
EndProcedure
ProcedureDLL.l AU3_Run(szRun.s); Runs an external program
  ProcedureReturn AU3_Run3(szRun,"",1)
EndProcedure
ProcedureCDLL AU3_Run3_Debug(szRun.s,szDir.s,nShowFlags.l)
  If AU3_Run = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_RunAsSet3(szUser.s,szDomain.s,szPassword.s,nOptions.l)
  ProcedureReturn CallFunctionFast(AU3_RunAsSet,@szUser,@szDomain,@szPassword,nOptions)
EndProcedure
ProcedureDLL.l AU3_RunAsSet2(szUser.s,szDomain.s,szPassword.s)
  ProcedureReturn AU3_RunAsSet3(szUser,szDomain,szPassword,1)
EndProcedure
ProcedureDLL.l AU3_RunAsSet(); Initialise a set of user credentials to use during Run and RunWait operations. 2000/XP or later ONLY
  ProcedureReturn AU3_RunAsSet3("","","",1)
EndProcedure
ProcedureCDLL AU3_RunAsSet3_Debug(szUser.s,szDomain.s,szPassword.s,nOptions.l)
  If AU3_RunAsSet = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_RunWait3(szRun.s,szDir.s,nShowFlags.l)
  ProcedureReturn CallFunctionFast(AU3_RunWait,@szRun,@szDir,nShowFlags)
EndProcedure
ProcedureDLL.l AU3_RunWait2(szRun.s,szDir.s)
  ProcedureReturn AU3_RunWait3(szRun,szDir,1)
EndProcedure
ProcedureDLL.l AU3_RunWait(szRun.s); Runs an external program and pauses script execution until the program finishes
  ProcedureReturn AU3_RunWait3(szRun,"",1)
EndProcedure
ProcedureCDLL AU3_RunWait3_Debug(szRun.s,szDir.s,nShowFlags.l)
  If AU3_RunWait = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_Send2(szSendText.s,nMode.l)
  ProcedureReturn CallFunctionFast(AU3_Send,@szSendText,nMode)
EndProcedure
ProcedureDLL.l AU3_Send(szSendText.s); Sends simulated keystrokes to the active window
  ProcedureReturn AU3_Send2(szSendText,0)
EndProcedure
ProcedureCDLL AU3_Send2_Debug(szSendText.s,nMode.l)
  If AU3_Send = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_Shutdown(nFlags.l); Shuts down the system
  ProcedureReturn CallFunctionFast(AU3_Shutdown,nFlags)
EndProcedure
ProcedureCDLL AU3_Shutdown_Debug(nFlags.l)
  If AU3_Shutdown = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_Sleep(nMilliseconds.l); Pause script execution
  ProcedureReturn CallFunctionFast(AU3_Sleep,nMilliseconds)
EndProcedure
ProcedureCDLL AU3_Sleep_Debug(nMilliseconds.l)
  If AU3_Sleep = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.s AU3_StatusbarGetText3(szTitle.s,szText.s,nPart.l)
  CallFunctionFast(AU3_StatusbarGetText,@szTitle,@szText,nPart,MEM,#MEMBuffer)
  ProcedureReturn PeekS(MEM)
EndProcedure
ProcedureDLL.s AU3_StatusbarGetText2(szTitle.s,szText.s)
  ProcedureReturn AU3_StatusbarGetText3(szTitle,szText,1)
EndProcedure
ProcedureDLL.s AU3_StatusbarGetText(szTitle.s); Retrieves the text from a standard status bar control
  ProcedureReturn AU3_StatusbarGetText3(szTitle,"",1)
EndProcedure
ProcedureCDLL AU3_StatusbarGetText3_Debug(szTitle.s,szText.s,nPart.l)
  If AU3_StatusbarGetText = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_ToolTip2(szTip.s,nX.l,nY.l)
  ProcedureReturn CallFunctionFast(AU3_ToolTip,@szTip,nX,nY)
EndProcedure
ProcedureDLL.l AU3_ToolTip(szTip.s); Creates a tooltip anywhere on the screen
  ProcedureReturn AU3_ToolTip2(szTip,#AU3_INTDEFAULT,#AU3_INTDEFAULT)
EndProcedure
ProcedureCDLL AU3_ToolTip2_Debug(szTip.s,nX.l,nY.l)
  If AU3_ToolTip = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_URLDownloadToFile(szURL.s, szFilename.s)
  If URLDownloadToFile_(0, @szURL, @szFilename, 0, 0) = #S_OK
    ProcedureReturn #True
  EndIf
EndProcedure

ProcedureDLL.l AU3_WinActivate2(szTitle.s,szText.s)
  ProcedureReturn CallFunctionFast(AU3_WinActivate,@szTitle,@szText)
EndProcedure
ProcedureDLL.l AU3_WinActivate(szTitle.s); Activates (gives focus to) a window
  ProcedureReturn AU3_WinActivate2(szTitle,"")
EndProcedure
ProcedureCDLL AU3_WinActivate2_Debug(szTitle.s,szText.s)
  If AU3_WinActivate = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_WinActive2(szTitle.s,szText.s)
  ProcedureReturn CallFunctionFast(AU3_WinActive,@szTitle,@szText)
EndProcedure
ProcedureDLL.l AU3_WinActive(szTitle.s); Checks to see if a specified window exists and is currently active
  ProcedureReturn AU3_WinActive2(szTitle,"")
EndProcedure
ProcedureCDLL AU3_WinActive2_Debug(szTitle.s,szText.s)
  If AU3_WinActive = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_WinClose2(szTitle.s,szText.s)
  ProcedureReturn CallFunctionFast(AU3_WinClose,@szTitle,@szText)
EndProcedure
ProcedureDLL.l AU3_WinClose(szTitle.s); Closes a window
  ProcedureReturn AU3_WinClose2(szTitle,"")
EndProcedure
ProcedureCDLL AU3_WinClose2_Debug(szTitle.s,szText.s)
  If AU3_WinClose = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_WinExists2(szTitle.s,szText.s)
  ProcedureReturn CallFunctionFast(AU3_WinExists,@szTitle,@szText)
EndProcedure
ProcedureDLL.l AU3_WinExists(szTitle.s); Checks to see if a specified window exists
  ProcedureReturn AU3_WinExists2(szTitle,"")
EndProcedure
ProcedureCDLL AU3_WinExists2_Debug(szTitle.s,szText.s)
  If AU3_WinExists = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_WinGetCaretPosX(); Returns the coordinates of the caret in the foreground window
  ProcedureReturn CallFunctionFast(AU3_WinGetCaretPosX)
EndProcedure
ProcedureCDLL AU3_WinGetCaretPosX_Debug()
  If AU3_WinGetCaretPosX = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_WinGetCaretPosY(); Returns the coordinates of the caret in the foreground window
  ProcedureReturn CallFunctionFast(AU3_WinGetCaretPosY)
EndProcedure
ProcedureCDLL AU3_WinGetCaretPosY_Debug()
  If AU3_WinGetCaretPosY = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.s AU3_WinGetClassList2(szTitle.s,szText.s)
  CallFunctionFast(AU3_WinGetClassList,@szTitle,@szText,MEM,#MEMBuffer)
  ProcedureReturn PeekS(MEM)
EndProcedure
ProcedureDLL.s AU3_WinGetClassList(szTitle.s); Retrieves the classes from a window
  ProcedureReturn AU3_WinGetClassList2(szTitle, "")
EndProcedure
ProcedureCDLL AU3_WinGetClassList2_Debug(aszTitle.s,szText.s)
  If AU3_WinGetClassList = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_WinGetClientSizeHeight2(szTitle.s,szText.s)
  ProcedureReturn CallFunctionFast(AU3_WinGetClientSizeHeight,@szTitle,@szText)
EndProcedure
ProcedureDLL.l AU3_WinGetClientSizeHeight(szTitle.s); Retrieves the size of a given window's client area
  ProcedureReturn AU3_WinGetClientSizeHeight2(szTitle, "")
EndProcedure
ProcedureCDLL AU3_WinGetClientSizeHeight2_Debug(szTitle.s,szText.s)
  If AU3_WinGetClientSizeHeight = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_WinGetClientSizeWidth2(szTitle.s,szText.s)
  ProcedureReturn CallFunctionFast(AU3_WinGetClientSizeWidth,@szTitle,@szText)
EndProcedure
ProcedureDLL.l AU3_WinGetClientSizeWidth(szTitle.s); Retrieves the size of a given window's client area
  ProcedureReturn AU3_WinGetClientSizeWidth2(szTitle,"")
EndProcedure
ProcedureCDLL AU3_WinGetClientSizeWidth2_Debug(szTitle.s,szText.s)
  If AU3_WinGetClientSizeWidth = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_WinGetHandle2(szTitle.s,szText.s)
  CallFunctionFast(AU3_WinGetHandle,@szTitle,@szText,MEM,#MEMBuffer)
  ProcedureReturn hex2dec(PeekS(MEM))
EndProcedure
ProcedureDLL.l AU3_WinGetHandle(szTitle.s); Retrieves the internal handle of a window
  ProcedureReturn AU3_WinGetHandle2(szTitle,"")
EndProcedure
ProcedureCDLL AU3_WinGetHandle2_Debug(szTitle.s,szText.s)
  If AU3_WinGetHandle = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_WinGetPosHeight2(szTitle.s,szText.s)
  ProcedureReturn CallFunctionFast(AU3_WinGetPosHeight,@szTitle,@szText)
EndProcedure
ProcedureDLL.l AU3_WinGetPosHeight(szTitle.s); Retrieves the position and size of a given window
  ProcedureReturn AU3_WinGetPosHeight2(szTitle,"")
EndProcedure
ProcedureCDLL AU3_WinGetPosHeight2_Debug(szTitle.s,szText.s)
  If AU3_WinGetPosHeight = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_WinGetPosWidth2(szTitle.s,szText.s)
  ProcedureReturn CallFunctionFast(AU3_WinGetPosWidth,@szTitle,@szText)
EndProcedure
ProcedureDLL.l AU3_WinGetPosWidth(szTitle.s); Retrieves the position and size of a given window
  ProcedureReturn AU3_WinGetPosWidth2(szTitle,"")
EndProcedure
ProcedureCDLL AU3_WinGetPosWidth2_Debug(szTitle.s,szText.s)
  If AU3_WinGetPosWidth = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_WinGetPosX2(szTitle.s,szText.s)
  ProcedureReturn CallFunctionFast(AU3_WinGetPosX,@szTitle,@szText)
EndProcedure
ProcedureDLL.l AU3_WinGetPosX(szTitle.s); Retrieves the position and size of a given window
  ProcedureReturn AU3_WinGetPosX2(szTitle,"")
EndProcedure
ProcedureCDLL AU3_WinGetPosX2_Debug(szTitle.s,szText.s)
  If AU3_WinGetPosX = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_WinGetPosY2(szTitle.s,szText.s)
  ProcedureReturn CallFunctionFast(AU3_WinGetPosY,@szTitle,@szText)
EndProcedure
ProcedureDLL.l AU3_WinGetPosY(szTitle.s); Retrieves the position and size of a given window
  ProcedureReturn AU3_WinGetPosY2(szTitle,"")
EndProcedure
ProcedureCDLL AU3_WinGetPosY2_Debug(szTitle.s,szText.s)
  If AU3_WinGetPosY = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_WinGetProcess2(szTitle.s,szText.s)
  CallFunctionFast(AU3_WinGetProcess,@szTitle,@szText,MEM,#MEMBuffer)
  ProcedureReturn Val(PeekS(MEM))
EndProcedure
ProcedureDLL.l AU3_WinGetProcess(szTitle.s); Retrieves the Process ID (PID) associated with a window
  ProcedureReturn AU3_WinGetProcess2(szTitle,"")
EndProcedure
ProcedureCDLL AU3_WinGetProcess2_Debug(szTitle.s,szText.s)
  If AU3_WinGetProcess = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_WinGetState2(szTitle.s,szText.s)
  ProcedureReturn CallFunctionFast(AU3_WinGetState,@szTitle,@szText)
EndProcedure
ProcedureDLL.l AU3_WinGetState(szTitle.s); Retrieves the state of a given window
  ProcedureReturn AU3_WinGetState2(szTitle,"")
EndProcedure
ProcedureCDLL AU3_WinGetState2_Debug(szTitle.s,szText.s)
  If AU3_WinGetState = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.s AU3_WinGetText2(szTitle.s,szText.s)
  CallFunctionFast(AU3_WinGetText,@szTitle,@szText,MEM,#MEMBuffer)
  ProcedureReturn PeekS(MEM)
EndProcedure
ProcedureDLL.s AU3_WinGetText(szTitle.s); Retrieves the text from a window
  ProcedureReturn AU3_WinGetText2(szTitle,"")
EndProcedure
ProcedureCDLL AU3_WinGetText2_Debug(szTitle.s,szText.s)
  If AU3_WinGetText = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.s AU3_WinGetTitle2(szTitle.s,szText.s)
  CallFunctionFast(AU3_WinGetTitle,@szTitle,@szText,MEM,#MEMBuffer)
  ProcedureReturn PeekS(MEM)
EndProcedure
ProcedureDLL.s AU3_WinGetTitle(szTitle.s); Retrieves the full title from a window
  ProcedureReturn AU3_WinGetTitle2(szTitle,"")
EndProcedure
ProcedureCDLL AU3_WinGetTitle2_Debug(szTitle.s,szText.s)
  If AU3_WinGetTitle = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_WinKill2(szTitle.s,szText.s)
  ProcedureReturn CallFunctionFast(AU3_WinKill,@szTitle,@szText)
EndProcedure
ProcedureDLL.l AU3_WinKill(szTitle.s); Forces a window to close
  ProcedureReturn AU3_WinKill2(szTitle,"")
EndProcedure
ProcedureCDLL AU3_WinKill2_Debug(szTitle.s,szText.s)
  If AU3_WinKill = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_WinMenuSelectItem8(szTitle.s,szText.s,szItem1.s,szItem2.s,szItem3.s,szItem4.s,szItem5.s,szItem6.s,szItem7.s,szItem8.s)
  ProcedureReturn CallFunctionFast(AU3_WinMenuSelectItem,@szTitle,@szText,@szItem1,@szItem2,@szItem3,@szItem4,@szItem5,@szItem6,@szItem7,@szItem8)
EndProcedure
ProcedureDLL.l AU3_WinMenuSelectItem7(szTitle.s,szText.s,szItem1.s,szItem2.s,szItem3.s,szItem4.s,szItem5.s,szItem6.s,szItem7.s)
  ProcedureReturn AU3_WinMenuSelectItem8(szTitle,szText,szItem1,szItem2,szItem3,szItem4,szItem5,szItem6,szItem7,"")
EndProcedure
ProcedureDLL.l AU3_WinMenuSelectItem6(szTitle.s,szText.s,szItem1.s,szItem2.s,szItem3.s,szItem4.s,szItem5.s,szItem6.s)
  ProcedureReturn AU3_WinMenuSelectItem8(szTitle,szText,szItem1,szItem2,szItem3,szItem4,szItem5,szItem6,"","")
EndProcedure
ProcedureDLL.l AU3_WinMenuSelectItem5(szTitle.s,szText.s,szItem1.s,szItem2.s,szItem3.s,szItem4.s,szItem5.s)
  ProcedureReturn AU3_WinMenuSelectItem8(szTitle,szText,szItem1,szItem2,szItem3,szItem4,szItem5,"","","")
EndProcedure
ProcedureDLL.l AU3_WinMenuSelectItem4(szTitle.s,szText.s,szItem1.s,szItem2.s,szItem3.s,szItem4.s)
  ProcedureReturn AU3_WinMenuSelectItem8(szTitle,szText,szItem1,szItem2,szItem3,szItem4,"","","","")
EndProcedure
ProcedureDLL.l AU3_WinMenuSelectItem3(szTitle.s,szText.s,szItem1.s,szItem2.s,szItem3.s)
  ProcedureReturn AU3_WinMenuSelectItem8(szTitle,szText,szItem1,szItem2,szItem3,"","","","","")
EndProcedure
ProcedureDLL.l AU3_WinMenuSelectItem2(szTitle.s,szText.s,szItem1.s,szItem2.s)
  ProcedureReturn AU3_WinMenuSelectItem8(szTitle,szText,szItem1,szItem2,"","","","","","")
EndProcedure
ProcedureDLL.l AU3_WinMenuSelectItem(szTitle.s,szText.s,szItem1.s); Invokes a menu item of a window
  ProcedureReturn AU3_WinMenuSelectItem8(szTitle,szText,szItem1,"","","","","","","")
EndProcedure
ProcedureCDLL AU3_WinMenuSelectItem8_Debug(szTitle.s,szText.s,szItem1.s,szItem2.s,szItem3.s,szItem4.s,szItem5.s,szItem6.s,szItem7.s,szItem8.s)
  If AU3_WinMenuSelectItem = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_WinMinimizeAll(); Minimizes all windows
  ProcedureReturn CallFunctionFast(AU3_WinMinimizeAll)
EndProcedure
ProcedureCDLL AU3_WinMinimizeAll_Debug()
  If AU3_WinMinimizeAll = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_WinMinimizeAllUndo(); Undoes a previous WinMinimizeAll function
  ProcedureReturn CallFunctionFast(AU3_WinMinimizeAllUndo)
EndProcedure
ProcedureCDLL AU3_WinMinimizeAllUndo_Debug()
  If AU3_WinMinimizeAllUndo = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_WinMove3(szTitle.s,szText.s,nX.l,nY.l,nWidth.l,nHeight.l)
  ProcedureReturn CallFunctionFast(AU3_WinMove,@szTitle,@szText,nX,nY,nWidth,nHeight)
EndProcedure
ProcedureDLL.l AU3_WinMove2(szTitle.s,szText.s,nX.l,nY.l,nWidth.l)
  ProcedureReturn AU3_WinMove3(szTitle,szText,nX.l,nY.l,nWidth.l,-1)
EndProcedure
ProcedureDLL.l AU3_WinMove(szTitle.s,szText.s,nX.l,nY.l); Moves and/or resizes a window
  ProcedureReturn AU3_WinMove3(szTitle,szText,nX.l,nY.l,-1,-1)
EndProcedure
ProcedureCDLL AU3_WinMove3_Debug(szTitle.s,szText.s,nX.l,nY.l,nWidth.l,nHeight.l)
  If AU3_WinMove = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_WinSetOnTop(szTitle.s,szText.s,nFlag.l); Change a window's "Always On Top" attribute
  ProcedureReturn CallFunctionFast(AU3_WinSetOnTop,@szTitle,@szText,nFlag)
EndProcedure
ProcedureCDLL AU3_WinSetOnTop_Debug(szTitle.s,szText.s,nFlag.l)
  If AU3_WinSetOnTop = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_WinSetState(szTitle.s,szText.s,nFlag.l); Shows, hides, minimizes, maximizes, or restores a window
  ProcedureReturn CallFunctionFast(AU3_WinSetState,@szTitle,@szText,nFlag)
EndProcedure
ProcedureCDLL AU3_WinSetState_Debug(szTitle.s,szText.s,nFlag.l)
  If AU3_WinSetState = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_WinSetTitle(szTitle.s,szText.s,szNewTitle.s); Changes the title of a window
  ProcedureReturn CallFunctionFast(AU3_WinSetTitle,@szTitle,@szText,@szNewTitle)
EndProcedure
ProcedureCDLL AU3_WinSetTitle_Debug(szTitle.s,szText.s,szNewTitle.s)
  If AU3_WinSetTitle = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_WinSetTrans(szTitle.s,szText.s,nTrans.l); Sets the transparency of a window. (Windows 2000/XP or later)
  ProcedureReturn CallFunctionFast(AU3_WinSetTrans,@szTitle,@szText,nTrans)
EndProcedure
ProcedureCDLL AU3_WinSetTrans_Debug(szTitle.s,szText.s,nTrans.l)
  If AU3_WinSetTrans = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_WinWait3(szTitle.s,szText.s,nTimeout.l)
  ProcedureReturn CallFunctionFast(AU3_WinWait,@szTitle,@szText,nTimeout)
EndProcedure
ProcedureDLL.l AU3_WinWait2(szTitle.s,szText.s)
  ProcedureReturn AU3_WinWait3(szTitle,szText,0)
EndProcedure
ProcedureDLL.l AU3_WinWait(szTitle.s); Pauses execution of the program until the requested window exists
  ProcedureReturn AU3_WinWait3(szTitle,"",0)
EndProcedure
ProcedureCDLL AU3_WinWait3_Debug(szTitle.s,szText.s,nTimeout.l)
  If AU3_WinWait = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_WinWaitActive3(szTitle.s,szText.s,nTimeout.l); Pauses execution of the script until the requested window is active
  ProcedureReturn CallFunctionFast(AU3_WinWaitActive,@szTitle,@szText,nTimeout)
EndProcedure
ProcedureDLL.l AU3_WinWaitActive2(szTitle.s,szText.s)
  ProcedureReturn AU3_WinWaitActive3(szTitle,szText,0)
EndProcedure
ProcedureDLL.l AU3_WinWaitActive(szTitle.s); Pauses execution of the program until the requested window is active
  ProcedureReturn AU3_WinWaitActive3(szTitle,"",0)
EndProcedure
ProcedureCDLL AU3_WinWaitActive3_Debug(szTitle.s,szText.s,nTimeout.l)
  If AU3_WinWaitActive = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_WinWaitClose3(szTitle.s,szText.s,nTimeout.l)
  ProcedureReturn CallFunctionFast(AU3_WinWaitClose,@szTitle,@szText,nTimeout)
EndProcedure
ProcedureDLL.l AU3_WinWaitClose2(szTitle.s,szText.s)
  ProcedureReturn AU3_WinWaitClose3(szTitle,szText,0)
EndProcedure
ProcedureDLL.l AU3_WinWaitClose(szTitle.s); Pauses execution of the program until the requested window does not exist
  ProcedureReturn AU3_WinWaitClose3(szTitle,"",0)
EndProcedure
ProcedureCDLL AU3_WinWaitClose3_Debug(szTitle.s,szText.s,nTimeout.l)
  If AU3_WinWaitClose = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_WinWaitNotActive3(szTitle.s,szText.s,nTimeout.l)
  ProcedureReturn CallFunctionFast(AU3_WinWaitNotActive,@szTitle,@szText,nTimeout)
EndProcedure
ProcedureDLL.l AU3_WinWaitNotActive2(szTitle.s,szText.s)
  ProcedureReturn AU3_WinWaitNotActive3(szTitle,szText,0)
EndProcedure
ProcedureDLL.l AU3_WinWaitNotActive(szTitle.s); Pauses execution of the program until the requested window is not active
  ProcedureReturn AU3_WinWaitNotActive3(szTitle,"",0)
EndProcedure
ProcedureCDLL AU3_WinWaitNotActive3_Debug(szTitle.s,szText.s,nTimeout.l)
  If AU3_WinWaitNotActive = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure

ProcedureDLL.l AU3_error()
  ProcedureReturn CallFunctionFast(AU3_error)
EndProcedure
ProcedureCDLL AU3_error_Debug()
  If AU3_error = 0
    TB_DebugError("Funktionpointer zero")
  EndIf
EndProcedure
